Gentoo Archives: gentoo-user

From: Daniel Frey <djqfrey@×××××.com>
To: gentoo-user@l.g.o
Subject: Re: [gentoo-user] NFS problem
Date: Mon, 30 Dec 2019 19:18:59
Message-Id: 56d707e5-6b16-ad57-53c9-2cf8df49fa0d@gmail.com
In Reply to: Re: [gentoo-user] NFS problem by Peter Humphrey
1 On 2019-12-30 09:04, Peter Humphrey wrote:
2
3 >
4 > Is anyone feeling less clueless than me? I'm out of ideas now and hoping for
5 > some help.
6 >
7
8 I set up a new NFS server in the last weeks or so and had this weird
9 problem where I couldn't most an NFSv4 export on clients.
10
11 After a lot of head scratching, I discovered two things:
12
13 1. On the NFS server, only NFS server 4.0 support was needed
14 2. On all NFS clients, including the NFS server which mounted other NFS
15 mounts, all NFS client options had to be selected or the mount would
16 fail. It didn't matter specifying nfsvers=4.0 as a mount option, it
17 failed if there was no NFS client kernel support for 4.1/4.2.
18
19 I don't know why, I just figured that it was something to do with the
20 new kernels (running 5.4.x.)
21
22 Dan

Replies

Subject Author
Re: [gentoo-user] NFS problem Peter Humphrey <peter@××××××××××××.uk>